Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj
Class DriverStationLCD.Line

    java.lang.Object
      edu.wpi.first.wpilibj.DriverStationLCD.Line

Enclosing class:
  DriverStationLCD

    public static class DriverStationLCD.Line

extends Object

The line number on the Driver Station LCD

Field Summary
`static DriverStationLCD.Line` | `kMain6` Deprecated. Use kUser1 Line at the Top of the screen
`static DriverStationLCD.Line` | `kUser1` Line at the Top of the screen
`static DriverStationLCD.Line` | `kUser2` Line on the user screen
`static DriverStationLCD.Line` | `kUser3` Line on the user screen
`static DriverStationLCD.Line` | `kUser4` Line on the user screen
`static DriverStationLCD.Line` | `kUser5` Line on the user screen
`static DriverStationLCD.Line` | `kUser6` Bottom line on the user screen
`int` | `value` The integer value representing this enumeration

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

  The integer value representing this enumeration

### kMain6

    public static final DriverStationLCD.Line kMain6

  Deprecated. Use kUser1 Line at the Top of the screen

### kUser1

    public static final DriverStationLCD.Line kUser1

  Line at the Top of the screen

### kUser2

    public static final DriverStationLCD.Line kUser2

  Line on the user screen

### kUser3

    public static final DriverStationLCD.Line kUser3

  Line on the user screen

### kUser4

    public static final DriverStationLCD.Line kUser4

  Line on the user screen

### kUser5

    public static final DriverStationLCD.Line kUser5

  Line on the user screen

### kUser6

    public static final DriverStationLCD.Line kUser6

  Bottom line on the user screen

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"